Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155848 - doc needed for dynamic dns updating
Summary: doc needed for dynamic dns updating
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 16:53 UTC by Gene Czarcinski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 02:09:28 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 2005-04-24 16:53:53 UTC
Description of problem:

Reference: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143438

In order to support dynamic dns updating (by dhcpd), one of two things need to
be done:

1. if selinux=disabled, the you need ENABLE_ZONE_WRITE=yes in /var/sysconfig/named

2. if selinux is enabled (targeted), then you need named_write_master_zones=1 in
/etc/selinux/targeted/booleans

This is not documented anywhere except by examining /etc/init.d/named

There should be some documentation on this (if nowhere else then how able
RELEASE-NOTES)

Comment 1 Jason Vas Dias 2005-04-25 18:16:31 UTC
Yes, sorry about that - I'll add the documentation in the next release
in time for FC4t3 .

Comment 2 Jason Vas Dias 2005-05-18 02:33:09 UTC
This is now fixed with bind-9.3.1-4 in rawhide-2005-05-18 / FC4.

Comment 3 Kumphanart Dansiri 2005-09-22 11:07:17 UTC
The first message, item 1. should be /etc/sysconfig/named in my fc4.
However, I still can't do dynamic update.

Comment 4 Bill Nottingham 2006-09-22 02:09:28 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.